Bug 1460785 - Lokalize target language list missing/dependency issue
Lokalize target language list missing/dependency issue
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: lokalize (Show other bugs)
25
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-12 14:18 EDT by abdilra7eem
Modified: 2017-12-12 05:38 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-12-12 05:38:37 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description abdilra7eem 2017-06-12 14:18:34 EDT
Description of problem:
When installing Lokalize on a fresh Fedora Workstation, and then creating a new project or configuring an existing one, the "Target Language" list is empty. Installing KDE desktop environment solves the problem (Probably a dependency issue).

Version-Release number of selected component (if applicable):
16.12.3

How reproducible:
Every time

Steps to Reproduce:
1. Install Fedora Workstation
2. Install lokalize
3. Open Lokalize and select "Project > Create software translation project ..."
4. Click on the "Target Language" drop down list.

Actual results:
The list is empty

Expected results:
The list should show a list of worlds languages.

Additional info:

Temporary workaround:
Installing KDE desktop environment seems to solve the problem.

Suggested solution:
Setting the package that includes the list of languages as a dependency for the Lokalize package.
Comment 1 Fedora End Of Life 2017-11-16 14:43:15 EST
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2017-12-12 05:38:37 EST
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.